<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.4.17
Name: Stufenweise Wiedereingliederung
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748">
   <title>Stufenweise Wiedereingliederung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]]
Item: (StufenweiseWiedereingliederung)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]
Item: (StufenweiseWiedereingliederung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]"
         id="d42e6298-false-d21217e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="string(@classCode) = ('OBS')">(StufenweiseWiedereingliederung): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="string(@moodCode) = ('EVN')">(StufenweiseWiedereingliederung): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']) &gt;= 1">(StufenweiseWiedereingliederung): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']) &lt;= 1">(StufenweiseWiedereingliederung): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="count(hl7:code[(@code = 'SWE' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.100') or @nullFlavor]) &gt;= 1">(StufenweiseWiedereingliederung): Element hl7:code[(@code = 'SWE' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.100') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="count(hl7:code[(@code = 'SWE' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.100') or @nullFlavor]) &lt;= 1">(StufenweiseWiedereingliederung): Element hl7:code[(@code = 'SWE' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.100') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="count(hl7:text) &gt;= 1">(StufenweiseWiedereingliederung): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="count(hl7:text) &lt;= 1">(StufenweiseWiedereingliederung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(StufenweiseWiedereingliederung): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(StufenweiseWiedereingliederung): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="count(hl7:effectiveTime) &lt;= 1">(StufenweiseWiedereingliederung): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(StufenweiseWiedereingliederung): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(StufenweiseWiedereingliederung): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']
Item: (StufenweiseWiedereingliederung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']"
         id="d42e6304-false-d21286e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(StufenweiseWiedereingliederung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.4.17')">(StufenweiseWiedereingliederung): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.4.17' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]/hl7:code[(@code = 'SWE' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.100') or @nullFlavor]
Item: (StufenweiseWiedereingliederung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]/hl7:code[(@code = 'SWE' and @codeSystem = '1.2.276.0.76.3.1.261.1.5.100') or @nullFlavor]"
         id="d42e6309-false-d21301e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(StufenweiseWiedereingliederung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="@nullFlavor or (@code='SWE' and @codeSystem='1.2.276.0.76.3.1.261.1.5.100' and @displayName='Stufenweise Wiedereingliederung erforderlich?')">(StufenweiseWiedereingliederung): Der Elementinhalt MUSS einer von 'code 'SWE' codeSystem '1.2.276.0.76.3.1.261.1.5.100' displayName='Stufenweise Wiedereingliederung erforderlich?'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]/hl7:text
Item: (StufenweiseWiedereingliederung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]/hl7:text"
         id="d42e6314-false-d21317e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(StufenweiseWiedereingliederung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]/hl7:statusCode[@code = 'completed']
Item: (StufenweiseWiedereingliederung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]/hl7:statusCode[@code = 'completed']"
         id="d42e6317-false-d21328e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(StufenweiseWiedereingliederung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="@nullFlavor or (@code='completed')">(StufenweiseWiedereingliederung): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]/hl7:effectiveTime
Item: (StufenweiseWiedereingliederung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]/hl7:effectiveTime"
         id="d42e6322-false-d21344e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(StufenweiseWiedereingliederung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.17
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (StufenweiseWiedereingliederung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.17']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e6324-false-d21357e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(StufenweiseWiedereingliederung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.17-2018-06-08T084748.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.3.1.261.1.11.6-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(StufenweiseWiedereingliederung): Der Elementinhalt MUSS einer von '1.2.276.0.76.3.1.261.1.11.6 Stufenweise Wiedereingliederung erforderlich (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
