<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.4.24
Name: Reha-Maßnahme
Description: Reha-Maßnahme (ambulant oder stationär) 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530">
   <title>Reha-Maßnahme</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.24
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]]
Item: (RehaMassnahme)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.24
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]
Item: (RehaMassnahme)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]"
         id="d42e6768-false-d22108e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530.html"
              test="string(@classCode) = ('PROC')">(RehaMassnahme): Der Wert von classCode MUSS 'PROC' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530.html"
              test="string(@moodCode) = ('PRP')">(RehaMassnahme): Der Wert von moodCode MUSS 'PRP' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']) &gt;= 1">(RehaMassnahme): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']) &lt;= 1">(RehaMassnahme): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530.html"
              test="count(hl7:id) &gt;= 1">(RehaMassnahme): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530.html"
              test="count(hl7:code) &gt;= 1">(RehaMassnahme): Element hl7:code ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530.html"
              test="count(hl7:code) &lt;= 1">(RehaMassnahme): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.20524-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &gt;= 1">(RehaMassnahme): Element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.20524-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.20524-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &lt;= 1">(RehaMassnahme): Element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.20524-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530.html"
              test="count(hl7:effectiveTime) &lt;= 1">(RehaMassnahme): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.24
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']
Item: (RehaMassnahme)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']"
         id="d42e6774-false-d22165e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(RehaMassnahme): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.4.24')">(RehaMassnahme): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.4.24' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.24
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]/hl7:id
Item: (RehaMassnahme)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]/hl7:id"
         id="d42e6779-false-d22179e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(RehaMassnahme): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.24
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]/hl7:code
Item: (RehaMassnahme)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]/hl7:code"
         id="d42e6781-false-d22189e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(RehaMassnahme): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530.html"
              test="count(hl7:originalText) &lt;= 1">(RehaMassnahme): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.24
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]/hl7:code/hl7:originalText
Item: (RehaMassnahme)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]/hl7:code/hl7:originalText"
         id="d42e6783-false-d22206e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530.html"
              test="count(hl7:reference) &lt;= 1">(RehaMassnahme): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.24
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]/hl7:code/hl7:originalText/hl7:reference
Item: (RehaMassnahme)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.24
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.20524-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]
Item: (RehaMassnahme)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.20524-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]"
         id="d42e6793-false-d22231e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(RehaMassnahme): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.20524-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(RehaMassnahme): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.20524 ActStatusActiveAborted (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.24
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]/hl7:effectiveTime
Item: (RehaMassnahme)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]/hl7:effectiveTime"
         id="d42e6798-false-d22251e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.24-2018-09-01T181530.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(RehaMassnahme): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
