<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.4.8
Name: Unfall Detail
Description: Injury Event Detail
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000">
   <title>Unfall Detail</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.8
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]
Item: (Unfalldetail2)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.8
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]
Item: (Unfalldetail2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]"
         id="d42e8334-false-d24350e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="string(@classCode) = ('ACT')">(Unfalldetail2): Der Wert von classCode MUSS 'ACT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="string(@moodCode) = ('EVN')">(Unfalldetail2): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']) &gt;= 1">(Unfalldetail2): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']) &lt;= 1">(Unfalldetail2): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="count(hl7:id) &gt;= 1">(Unfalldetail2): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="count(hl7:id) &lt;= 1">(Unfalldetail2): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="count(hl7:code[(@code = '74209-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Unfalldetail2): Element hl7:code[(@code = '74209-8' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="count(hl7:code[(@code = '74209-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Unfalldetail2): Element hl7:code[(@code = '74209-8' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="count(hl7:text) &lt;= 1">(Unfalldetail2): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(Unfalldetail2): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Unfalldetail2): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.2']]]) &gt;= 1">(Unfalldetail2): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.2']]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.2']]]) &lt;= 1">(Unfalldetail2): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.2']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.8
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']
Item: (Unfalldetail2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']"
         id="d42e8340-false-d24419e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Unfalldetail2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.4.8')">(Unfalldetail2): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.4.8' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.8
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]/hl7:id
Item: (Unfalldetail2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]/hl7:id"
         id="d42e8345-false-d24433e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Unfalldetail2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.8
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]/hl7:code[(@code = '74209-8' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Unfalldetail2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]/hl7:code[(@code = '74209-8' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e8347-false-d24444e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CV')">(Unfalldetail2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="@nullFlavor or (@code='74209-8' and @codeSystem='2.16.840.1.113883.6.1')">(Unfalldetail2): Der Elementinhalt MUSS einer von 'code '74209-8' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.8
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]/hl7:text
Item: (Unfalldetail2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]/hl7:text"
         id="d42e8353-false-d24460e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(Unfalldetail2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="count(hl7:reference) &gt;= 1">(Unfalldetail2): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="count(hl7:reference) &lt;= 1">(Unfalldetail2): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.8
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]/hl7:text/hl7:reference
Item: (Unfalldetail2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]/hl7:text/hl7:reference"
         id="d42e8358-false-d24479e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(Unfalldetail2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.8
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]/hl7:effectiveTime
Item: (Unfalldetail2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]/hl7:effectiveTime"
         id="d42e8361-false-d24489e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(Unfalldetail2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="count(hl7:low) &gt;= 1">(Unfalldetail2): Element hl7:low ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="count(hl7:low) &lt;= 1">(Unfalldetail2): Element hl7:low kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.8
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]/hl7:effectiveTime/hl7:low
Item: (Unfalldetail2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]/hl7:effectiveTime/hl7:low"
         id="d42e8363-false-d24508e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(Unfalldetail2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="not(*)">(Unfalldetail2): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.8
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.2']]]
Item: (Unfalldetail2)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.2']]]">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220907T193451/tmp-1.2.276.0.76.3.1.261.1.10.4.8-2018-06-04T000000.html"
              test="string(@typeCode) = ('COMP')">(Unfalldetail2): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
